Appendix A: Dependencies and versionsedit

elasticsearch     = 7.16.0
lucene            = 8.10.1

bundled_jdk_vendor = adoptium
bundled_jdk = 17.0.1+12

checkstyle = 8.39

# optional dependencies
spatial4j         = 0.7
jts               = 1.15.0
jackson           = 2.10.4
snakeyaml         = 1.26
icu4j             = 62.1
supercsv          = 2.4.0
# when updating log4j, please update also docs/java-api/index.asciidoc
log4j             = 2.11.1
slf4j             = 1.6.2

jna               = 5.10.0

netty             = 4.1.66.Final
joda              = 2.10.10

commons_lang3                   = 3.9

# when updating this version, you need to ensure compatibility with:
#  - plugins/ingest-attachment (transitive dependency, check the upstream POM)
#  - distribution/tools/plugin-cli
#  - x-pack/plugin/security
bouncycastle=1.64
# test dependencies
randomizedrunner  = 2.7.1
junit             = 4.12
junit5            = 5.7.1
httpclient        = 4.5.10
httpcore          = 4.4.12
httpasyncclient   = 4.1.4
commonslogging    = 1.1.3
commonscodec      = 1.11
hamcrest          = 2.1
mocksocket        = 1.2

# benchmark dependencies
jmh               = 1.26

# test dependencies
# when updating this version, also update :qa:evil-tests
jimfs = 1.2
jimfs_guava = 30.1-jre

# test framework
networknt_json_schema_validator = 1.0.48